Skip to main content
POST
/
v2
/
clarity-v2
/
processes
/
{process_id}
/
artifact-chat
/
messages
cURL
curl --request POST \
  --url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/artifact-chat/messages \
  --header 'Content-Type: application/json' \
  --data '
{
  "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "baseline_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "content": "<string>",
  "answers": {}
}
'
{
  "conversation": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "sandbox_id": "<string>",
    "session_id": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "deleted_at": "<string>"
  },
  "message": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "body": {
      "text": "<string>"
    },
    "baseline_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

process_id
string<uuid>
required

Body

application/json
conversation_id
string<uuid> | null
required
snapshot_kind
enum<string>
required
Available options:
current_process,
transformation_proposal
baseline_snapshot_id
string<uuid>
required
content
string
answers
object

Response

Default Response

conversation
object
required
message
object
required